/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

#ifndef _JANA_GTK_CELL_RENDERER_NOTE_H
#define _JANA_GTK_CELL_RENDERER_NOTE_H

#include <glib-object.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define JANA_GTK_TYPE_CELL_RENDERER_NOTE \
	jana_gtk_cell_renderer_note_get_type()

#define JANA_GTK_CELL_RENDERER_NOTE(obj) \
	(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
	JANA_GTK_TYPE_CELL_RENDERER_NOTE, JanaGtkCellRendererNote))

#define JANA_GTK_CELL_RENDERER_NOTE_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_CAST ((klass), \
	JANA_GTK_TYPE_CELL_RENDERER_NOTE, JanaGtkCellRendererNoteClass))

#define JANA_GTK_IS_CELL_RENDERER_NOTE(obj) \
	(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
	JANA_GTK_TYPE_CELL_RENDERER_NOTE))

#define JANA_GTK_IS_CELL_RENDERER_NOTE_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_TYPE ((klass), \
	JANA_GTK_TYPE_CELL_RENDERER_NOTE))

#define JANA_GTK_CELL_RENDERER_NOTE_GET_CLASS(obj) \
	(G_TYPE_INSTANCE_GET_CLASS ((obj), \
	JANA_GTK_TYPE_CELL_RENDERER_NOTE, JanaGtkCellRendererNoteClass))

typedef struct {
	GtkCellRenderer parent;
} JanaGtkCellRendererNote;

typedef struct {
	GtkCellRendererClass parent_class;
} JanaGtkCellRendererNoteClass;

GType jana_gtk_cell_renderer_note_get_type (void);

GtkCellRenderer* jana_gtk_cell_renderer_note_new (void);

G_END_DECLS

#endif /* _JANA_GTK_CELL_RENDERER_NOTE_H */

